Which TLS version does Azure IoT SDK v1.4.3 support?

Camilla Lie 26 Reputation points
2020-06-23T12:03:48.53+00:00

We are using Azure IoT SDK version 1.4.3 and are wondering how we can find documentation on which TLS version this SDK supports?

From this link: https://build5nines.com/azure-iot-hub-and-dps-to-only-support-tls-1-2-on-july-1-2020/ , it appears that after July 1st 2020, IoT Hub no longer supports TLS version lower than 1.2, meaning we need to make sure our SDK also supports this version.

Thank you!

Azure IoT SDK
Azure IoT SDK
An Azure software development kit that facilitates building applications that connect to Azure IoT services.
212 questions
{count} votes

Accepted answer
  1. Leon Laude 85,721 Reputation points
    2020-06-24T10:17:35.987+00:00

    Hi,

    You'll find the supported TLS versions here:

    TLS support in IoT Hub
    https://learn.microsoft.com/en-us/azure/iot-hub/iot-hub-tls-support

    Microsoft is deprecating TLS 1.0 and TLS 1.1 in IoT Hub, however they will continue to support it still until further notice.

    Deprecation of TLS 1.0 and 1.1 in IoT Hub
    https://learn.microsoft.com/en-us/azure/iot-hub/iot-hub-tls-deprecating-1-0-and-1-1

    Best regards,
    Leon


0 additional answers

Sort by: Most helpful